package com.yizhi.comment.application.vo;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.comment.application.vo.domain.NewReplyVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class NewApiCommentVo {

    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "评论人")
    private String commentator;

    @ApiModelProperty(value = "评论内容")
    private String content;

    @ApiModelProperty(value = "评论时间")
    private Date createTime;

    @ApiModelProperty(value = "评论时间String")
    private String createTimeString;

    @ApiModelProperty(value = "点赞数")
    private Integer thumbsUp;

    @ApiModelProperty(value = "是否点赞 1 是 0否")
    private Integer status;

    @ApiModelProperty(value = "是否是楼主 true：是")
    private Boolean isAuthor = false;

    @ApiModelProperty(value = "是否被禁言 true：是")
    private Boolean hasForbidden = false;

    @ApiModelProperty(value = "是否为当前用户创建的记录 true：是")
    private Boolean isSelf = false;

    @ApiModelProperty(value = "用户头像")
    private String userAvatar;

    @ApiModelProperty(value = "回复数")
    private Integer replys;

    @ApiModelProperty(value = "回复列表")
    private List<NewReplyVo> replies = new ArrayList<>();

    @ApiModelProperty(value = "回复分页列表")
    private Page<NewReplyVo> replyPage = new Page<>();

    @ApiModelProperty(value = "剩余回复数")
    private Integer restReplys;

    @ApiModelProperty(value = "评论附件")
    private List<TaskAppendixVo> taskAppendixVos;
}

