package com.yizhi.comment.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-16
 */
@Data
@ApiModel(value = "InformAppendix", description = "举报评论附件表")
@TableName("task_appendix")
public class TaskAppendixVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键   ")
    private Long id;

    @ApiModelProperty(value = "业务类型 1-评论 2-回复(已弃用) 3-举报 ")
    
    private Integer taskType;

    @ApiModelProperty(value = "业务id")
    
    private Long taskId;

    @ApiModelProperty(value = "附件名称 ")
    private String name;

    @ApiModelProperty(value = "附件大小")
    
    private Double fileSize;

    @ApiModelProperty(value = "文件后缀名")
    
    private String fileSuffer;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "附件类型  ：1、文档；2、图片；3、音频；4、视频；5、其他(压缩包)")
    
    private Integer fileType;

    @ApiModelProperty(value = "是否删除 0：未删除、1：已删除")
    
    private Integer deleted;

    @ApiModelProperty(value = "创建者id")
    
    private Long createById;

    @ApiModelProperty(value = "创建者名称")
    
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

    @ApiModelProperty(value = "更新者id")
    
    private Long updateById;

    @ApiModelProperty(value = "修改者名称")
    
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    
    private Date updateTime;

}
