package com.yizhi.comment.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 订阅
 * </p>
 *
 * @author yizhi123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "SubscribeVo", description = "订阅")
@TableName("subscribe")
public class SubscribeVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
	private Long id;

    @ApiModelProperty(value = "业务类型  0课程 7培训项目 15专辑")
	
	private Integer bizType;

    @ApiModelProperty(value = "业务id")
	
	private Long bizId;

    @ApiModelProperty(value = "状态")
	private Integer status;

    @ApiModelProperty(value = "所属站点id")
	
	private Long siteId;

    @ApiModelProperty(value = "学员id")
	
	private Long accountId;

    
    private String createByName;
    
	
	private Date createTime;
    
    
    private Long updateById;

    
    private String updateByName;

    
    private Date updateTime;

	
	private Long companyId;
}
