package com.yizhi.application.service;

import com.yizhi.application.domain.NewCommentAdmire;
import com.yizhi.comment.application.vo.domain.NewCommentAdmireVo;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.comment.application.vo.AdmireVO;
import com.yizhi.comment.application.vo.StatisticsForumAccountVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 评论点赞记录表 服务类
 * </p>
 *
 * @author yizhi123
 * @since 2019-12-30
 */
public interface ICommentAdmireService extends IService<NewCommentAdmire> {

    /**
     * 获取《评论id,点赞vo》
     * @param type
     * @param commentIds
     * @return
     */
    public Map<Long, AdmireVO> getCountsByCommentId(Integer type, List<Long> commentIds,Boolean isExport);

    /**
     * 获取 《用户id，点赞数》
     * @param bizType
     * @param map
     * @return
     */

    Map<Long, StatisticsForumAccountVo> getPersonalDataMap(Integer bizType, Map<Long, StatisticsForumAccountVo> map);

    /**
     * 获取《业务id,点赞数》
     * @param type
     * @param
     * @return
     */
    public Map<Long, Integer> getCountsMap(Integer type);


}
