package com.yizhi.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.application.domain.InformRecord;
import com.yizhi.comment.application.vo.domain.InformRecordVo;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.comment.application.vo.StatisticsForumAccountVo;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-16
 */
public interface IInformRecordService extends IService<InformRecord> {

    Integer save(com.yizhi.comment.application.vo.InformRecordVo informRecordVo);

    Page<com.yizhi.comment.application.vo.InformRecordVo> getPage(Integer taskType, Long taskId, Integer type, Integer terminalType, Integer pageNo, Integer pageSize);

    Integer cancel(Long id);
    Integer cancelByCommentId(Integer taskType,Long taskId,Integer type,Long commentId);

    /**
     * 获取《用户id，举报数》
     * @param bizType
     * @param map
     * @return
     */
    Map<Long, StatisticsForumAccountVo> getPersonalDataMap(Integer bizType, Map<Long, StatisticsForumAccountVo> map);

//    /**
//     * 获取《业务id,举报数》
//     * @param type
//     * @param
//     * @return
//     */
//    public Map<Long, Integer> getCountsMap(Integer type);

}
